from axelrod.action import Action
from axelrod.player import Player
IIlIlIlIlllIIlIl, IlIllIlllIII = Action.C, Action.D
class lIllllIIlIIII(Player):
    IllIIIIIIlIlIl = "strategy"
    IIIlIllIIl = {
        "memory_depth": 10,
        "stochastic": False,
        "long_run_time": False,
        "inspects_source": False,
        "manipulates_source": False,
        "manipulates_state": False,
    }
    IIlllIlIlIIllI = 3
    IIllIIlIlIlIIll = -10
    def lllllIIIIl(IIlllIllIIll, lIIlIlIIl: Player) -> Action:
        if (
            IIlllIllIIll.lIlIIIIl()
            and IIlllIllIIll.lIIlIlllIlllllI(lIIlIlIIl)
        ):
            return IlIllIlllIII
        return IIlIlIlIlllIIlIl
    def lIlIIIIl(IIlllIllIIll):
        return len(IIlllIllIIll.history) >= IIlllIllIIll.IIlllIlIlIIllI
    def lIIlIlllIlllllI(IIlllIllIIll, lIIlIlIIl):
        llllIlIIllI = lIIlIlIIl.history[
            IIlllIllIIll.IIllIIlIlIlIIll :
        ]
        return IlIllIlllIII not in llllIlIIllI